<div class="panel panel-default">

  <!-- Title und status for header -->

    <a class="accordion-toggle" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse{{storageId}}" aria-expanded="true" aria-controls="collapse{{storageId}}">

    <div class="panel-heading" role="tab" id="heading{{storageId}}">
      <h4 class="panel-title">
      {{title}}&nbsp;

    {{#if status}}
      {{#if status === 'ERROR'}}
        <span class="label label-important">{{i18nStatus()}}</span>
      {{elseif status === 'PUBLISHED'}}
        <span class="label label-success">{{i18nStatus()}}</span>
      {{elseif status === 'WARNING'}}
        <span class="label label-warning">{{i18nStatus()}}</span>
      {{elseif status === 'RUNNING'}}
        <span class="label label-warning">{{i18nStatus()}} {{progress}}%</span>
      {{elseif status === 'storage-not-available'}}
        <span class="label label-inverse">{{i18nStatus()}}</span>
      {{elseif status === 'service-not-available'}}
        <span class="label label-inverse">{{i18nStatus()}}</span>
      {{else}}
        <span class="label">{{i18nStatus()}}</span>
      {{/if}}
    {{else}}
      <span><img src="{{publishimgpath}}/spinning-flower_slow.gif" width="18px"/></span>
    {{/if}}

    {{#describesSeafileLibrary}}
      <span class="pull-right">{{i18n('seafile-managed')}}</span>
    {{/describesSeafileLibrary}}
      </h4>
    </div>
    </a>

  <!-- Collection information -->

    <div id="collapse{{storageId}}" class="panel-collapse collapse {{#isOpen}}in{{/isOpen}}" role="tabpanel" aria-labelledby="heading{{storageId}}">
    <div class="accordion-body">

    <dl class="dl-horizontal">
    <dt>{{i18n('title')}}</dt>
    <dd>{{title}}</dd>

    <dt>{{i18n('description')}}</dt>
    {{#if description}}
      <dd>{{{formattedDescription(description)}}}</dd>
    {{else}}
      <dd>–</dd>
    {{/if}}

    <dt>{{i18n('creator')}}</dt>
    {{#if creator}}
      <dd>{{creator}}</dd>
    {{else}}
      <dd>–</dd>
    {{/if}}

    <dt>{{i18n('status')}}</dt>
    {{#if status}}
      <dd>{{i18nStatus()}}</dd>
    {{else}}
      <dd>{{i18n('status-pending')}}</dd>
    {{/if}}

    <dt>{{i18n('number-of-collections')}}</dt>
    {{#if status === 'service-not-available' || status === 'storage-not-available' }}
      <dd>–</dd>
    {{else}}
      <dd>{{numberOfCollections}}</dd>
    {{/if}}

    <dt>{{i18n('number-of-files')}}</dt>
    {{#if status === 'service-not-available' || status === 'storage-not-available' }}
      <dd>–</dd>
    {{else}}
      <dd>{{numberOfFiles}}</dd>
    {{/if}}

    <dt>{{i18n('view-pid')}}</dt>
    {{#if doi}}
      <dd>
        {{#if status === 'PUBLISHED'}}
          <a href="https://dx.doi.org/{{doi}}" target="_blank" title="{{i18n('tt-view-pid')}}">{{doi}}</a>
        {{else}}
          {{doi}}
        {{/if}}
      </dd>
    {{else}}
      <dd>–</dd>
    {{/if}}
  </dl>

  <!-- Documentation of status -->

  <hr/><p>
  {{#if status}}
    {{{i18nStatusDescription()}}}
  {{else}}
    <span class="muted"><em>{{{i18n('status-description-pending')}}}</em></span>
  {{/if}}
  </p><hr/>

  <!-- Buttons -->

  {{#if status === 'DRAFT'}}

    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{elseif viewReallyPublishAlert}}
      <really-publish-alert storageId='{{storageId}}' visible='{{viewReallyPublishAlert}}'></really-publish-alert>
    {{elseif viewPublishStartAlert}}
      <publish-start-alert visible='{{viewPublishStartAlert}}'></publish-start-alert>
    {{else}}
      <a href="{{editviewURL}}?storageId={{storageId}}" class="btn btn-primary" title="{{i18n('tt-edit')}}">
        <i class="icon-pencil"></i> {{i18n('edit')}}
      </a> &nbsp;
      <button class="btn" on-click="showReallyPublishAlert" {{#if numberOfFiles === 0}}title="{{i18n('tt-no-files-no-publish')}}" disabled="disabled"{{else}}title="{{i18n('tt-publish')}}"{{/if}}>
        <i class="icon-share"></i> {{i18n('publish')}}
      </button>
      <button class="btn pull-right" on-click="showReallyDeleteAlert" title="{{i18n('tt-delete')}}">
        <i class="icon-trash"></i> {{i18n('delete')}}
      </button>
      <p></p>
    {{/if}}

  {{elseif status === 'PUBLISHED'}}

    {{#viewSuccessAlert}}
      <success-alert visible='{{viewSuccessAlert}}'></success-alert>
    {{/viewSuccessAlert}}
    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{elseif viewReallyPublishAlert}}
      <really-publish-alert storageId='{{storageId}}' visible='{{viewReallyPublishAlert}}'></really-publish-alert>
    {{else}}
      {{#if debug}}
        <a href="{{editviewURL}}?storageId={{storageId}}" class="btn" title="{{i18n('tt-edit')}}">
          <i class="icon-pencil"></i> {{i18n('edit')}}
        </a> &nbsp;
      {{/if}}
      <a class="btn btn-primary" href="{{genericSearchUrl}}/search/simple/?q=*&sourceId={{crid}}" target="_blank" title="{{i18n('tt-view-inrep')}}">
        <i class="icon-search"></i> {{i18n('view-inrep')}}
      </a> &nbsp;
      <a class="btn" href="{{dhcrudUrl}}/{{pid}}/landing" target="_blank" title="{{i18n('tt-view-landing')}}">
        <i class="icon-th-list"></i> {{i18n('view-landing')}}
      </a> &nbsp;
      <a class="btn" href="{{collectionRegistryUrl}}/collections/{{crid}}" target="_blank" title="{{i18n('tt-edit-collection-in-cr')}}">
        <i class="icon-folder-open"></i> {{i18n('edit-collection-in-cr')}}
      </a>
      <button class="btn pull-right" on-click="showReallyDeleteAlert" title="{{i18n('tt-delete')}}">
        <i class="icon-trash"></i> {{i18n('delete')}}
      </button>
      {{#if debug}}
      &nbsp;
        <button class="btn" on-click="showReallyPublishAlert" {{#if numberOfFiles === 0}}title="{{i18n('tt-no-files-no-publish')}}" disabled="disabled"{{else}}title="{{i18n('tt-publish')}}"{{/if}}>
          <i class="icon-share"></i> {{i18n('publish')}}
        </button>
      {{/if}}
      <p></p>
    {{/if}}

  {{elseif status === 'RUNNING'}}

<!--
    {{#if viewCancelAlert}}
      <cancel-alert visible='{{viewCancelAlert}}'></cancel-alert>
    {{/if}}
-->
    <view-progress-alert storageId='{{storageId}}' refresh='{{refresh}}' status='{{status}}'></view-progress-alert>
<!--
    {{#debug}}
      <hr/>
      <button class="btn" on-click="showCancelAlert"
      title="{{i18n('cancel-publish-process')}}">
        <i class="icon-cancel"></i> {{i18n('cancel-publish-process')}}
      </button>
    {{/debug}}
-->
    <p></p>

  {{elseif status === 'ERROR'}}

    <error-alert storageId='{{storageId}}'></error-alert>
    {{#if viewErrorDetailAlert}}
      <error-detail-alert visible='{{viewErrorDetailAlert}}'></error-detail-alert>
    {{/if}}
    <hr/>
    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{elseif viewReallyPublishAlert}}
      <really-publish-alert storageId='{{storageId}}' visible='{{viewReallyPublishAlert}}'></really-publish-alert>
    {{elseif viewPublishStartAlert}}
      <publish-start-alert visible='{{viewPublishStartAlert}}'></publish-start-alert>
    {{else}}
      <a href="{{editviewURL}}?storageId={{storageId}}" class="btn btn-primary" title="{{i18n('tt-edit')}}">
        <i class="icon-pencil"></i> {{i18n('edit')}}
      </a> &nbsp;
      <button class="btn" on-click="showReallyPublishAlert" {{#if numberOfFiles === 0}} title="{{i18n('tt-no-files-no-publish')}}" disabled="disabled"{{else}} title="{{i18n('tt-publish')}}"{{/if}}>
        <i class="icon-share"></i> {{i18n('publish')}}
      </button> &nbsp;
      {{#if viewErrorDetailAlert}}
        <button class="btn" on-click="hideErrorDetailAlert" title="{{i18n('tt-hide-error-details')}}">
          <i class="icon-warning-sign"></i> {{i18n('hide-error-details')}}
        </button> &nbsp;
      {{else}}
        <button class="btn" on-click="showErrorDetailAlert" {{#if progress === 0}}title="{{i18n('tt-no-error-details')}}" disabled="disabled"{{else}}title="{{i18n('tt-view-error-details')}}"{{/if}}>
          <i class="icon-warning-sign"></i>
          {{#if progress === 0}}
            {{i18n('no-error-details')}}
          {{else}}
            {{i18n('view-error-details')}}
          {{/if}}
        </button> &nbsp;
      {{/if}}
      <button class="btn pull-right" on-click="showReallyDeleteAlert" title="{{i18n('tt-delete')}}">
        <i class="icon-trash"></i> {{i18n('delete')}}
      </button>
      <p></p>
    {{/if}}

  {{elseif status === 'WARNING'}}

    <error-alert storageId='{{storageId}}'></error-alert>
    {{#if viewErrorDetailAlert}}
      <error-detail-alert visible='{{viewErrorDetailAlert}}'></error-detail-alert>
    {{/if}}
    <hr/>
    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{/if}}
    <button class="btn pull-right" on-click="showReallyDeleteAlert" title="{{i18n('tt-delete')}}">
      <i class="icon-trash"></i> {{i18n('delete')}}
    </button>
    <p></p>

  {{elseif status === 'storage-not-available' }}

    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{else}}
      {{#if debug}}
        <a href="{{editviewURL}}?storageId={{storageId}}" class="btn" title="{{i18n('tt-edit')}}">
          <i class="icon-pencil"></i> {{i18n('edit')}}
        </a> &nbsp;
      {{else}}
        <button class="btn" disabled="disabled" title="{{i18n('tt-no-edit')}}">
          <a href="{{editviewURL}}?storageId={{storageId}}"><i class="icon-pencil"></i> {{i18n('edit')}}</a>
        </button> &nbsp;
      {{/if}}
      <button class="btn" on-click="reloadStatus" title="{{i18n('tt-update-status')}}">
        <i class="icon-refresh"></i> {{i18n('update-status')}}
      </button> &nbsp;
      {{#if debug}}
        <button class="btn pull-right" on-click="showReallyDeleteAlert"title="{{i18n('tt-delete')}}">
          <i class="icon-trash"></i> {{i18n('delete')}}
        </button>
      {{else}}
        <button class="btn pull-right" disabled="disabled" title="{{i18n('tt-no-delete')}}">
          <i class="icon-trash"></i> {{i18n('delete')}}
        </button>
      {{/if}}
      <p></p>
    {{/if}}

  {{elseif status === 'service-not-available' }}

    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{else}}
      {{#if debug}}
        <a href="{{editviewURL}}?storageId={{storageId}}" class="btn" title="{{i18n('tt-edit')}}">
          <i class="icon-pencil"></i> {{i18n('edit')}}
        </a> &nbsp;
      {{else}}
        <button class="btn" disabled="disabled" title="{{i18n('tt-show')}}">
          <a href="{{editviewURL}}?storageId={{storageId}}"><i class="icon-pencil"></i> {{i18n('edit')}}</a>
        </button> &nbsp;
      {{/if}}
      <button class="btn" on-click="reloadStatus" title="{{i18n('tt-update-status')}}">
        <i class="icon-refresh"></i> {{i18n('update-status')}}
      </button> &nbsp;
      {{#if debug}}
        <button class="btn pull-right" on-click="showReallyDeleteAlert" title="{{i18n('tt-delete')}}">
          <i class="icon-trash"></i> {{i18n('delete')}}
        </button>
      {{else}}
        <button class="btn pull-right" disabled="disabled" title="{{i18n('tt-no-delete')}}">
          <i class="icon-trash"></i> {{i18n('delete')}}
        </button>
      {{/if}}
      <p></p>
    {{/if}}

  {{else}}

    {{#if viewReallyDeleteAlert}}
      <really-delete-alert storageId='{{storageId}}' visible='{{viewReallyDeleteAlert}}'></really-delete-alert>
    {{else}}
      {{#if debug}}
        <a href="{{editviewURL}}?storageId={{storageId}}" class="btn" title="{{i18n('tt-edit')}}">
          <i class="icon-pencil"></i> {{i18n('edit')}}
        </a> &nbsp;
      {{/if}}
      <button class="btn" on-click="reloadStatus" title="{{i18n('tt-update-status')}}">
        <i class="icon-refresh"></i> {{i18n('update-status')}}
      </button> &nbsp;
      <button class="btn pull-right" disabled="disabled" title="{{i18n('tt-no-delete')}}">
        <i class="icon-trash"></i> {{i18n('delete')}}
      </button>
      <p></p>
    {{/if}}

  {{/if}}

  <!-- Status information und info service call duration -->

  <div class="text-right muted"><small><em>
  {{#if publishInfoDuration}}
    {{#debug}}
      <a href="{{mainviewUrl}}?view=publishInfoProxy&storageId={{storageId}}" target="_blank">INFO</a> |
      <a href="{{mainviewUrl}}?view=publishStatusProxy&storageId={{storageId}}" target="_blank">STATUS</a> |
      <a href="{{pidServiceUrl}}/{{pid}}?noredirect" target="_blank">PIDMETA</a> | {{i18n('fetched-status')}} {{publishInfoDuration}}ms
    {{/debug}}
  {{else}}
    {{#debug}}
    <a href="{{mainviewUrl}}?view=publishInfoProxy&storageId={{storageId}}" target="_blank">INFO</a> |
    <a href="{{mainviewUrl}}?view=publishStatusProxy&storageId={{storageId}}" target="_blank">STATUS</a> |
    <a href="{{pidServiceUrl}}/{{pid}}?noredirect" target="_blank">PIDMETA</a> | {{i18n('status-pending')}}
    {{/debug}}
    <span><img src="{{publishimgpath}}/spinning-flower_slow.gif" width="12px"/></span>
  {{/if}}
  [<a href="#" on-click="reloadStatus" title="{{i18n('tt-update-status')}}">{{i18n('update-status')}}</a>]
  </em></small></div>

</div></div></div>
